# SendInvoice - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.payments / SendInvoice

# SendInvoice

(common) `data class SendInvoice : Currencied, Priced, ChatRequest, DisableNotification, ReplyMessageId, ReplyMarkup, SendMessageRequest<ContentMessage<InvoiceContent>>` (source)

### Parameters

`providerData` -

- JSON-ENCODED FIELD

### Constructors

(common)

#### <init>

`SendInvoice(chatId: ChatId, title: String, description: String, payload: String, providerToken: String, startParameter: StartParameter, currency: Currency, prices: List<LabeledPrice>, providerData: String? = null, requireName: Boolean = false, requirePhoneNumber: Boolean = false, requireEmail: Boolean = false, requireShippingAddress: Boolean = false, shouldSendPhoneNumberToProvider: Boolean = false, shouldSendEmailToProvider: Boolean = false, priceDependOnShipAddress: Boolean = false, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatId`

(common)

#### currency

`val currency: Currency`

(common)

#### description

`val description: String`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### payload

`val payload: String`

(common)

#### photoHeight

`var photoHeight: Int?`

(common)

#### photoSize

`var photoSize: Long?`

(common)

#### photoUrl

`var photoUrl: String?`

(common)

#### photoWidth

`var photoWidth: Int?`

(common)

#### priceDependOnShipAddress

`val priceDependOnShipAddress: Boolean`

(common)

#### prices

`val prices: List<LabeledPrice>`

(common)

#### providerData

- JSON-ENCODED FIELD

`val providerData: String?`

(common)

#### providerToken

`val providerToken: String`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### requireEmail

`val requireEmail: Boolean`

(common)

#### requireName

`val requireName: Boolean`

(common)

#### requirePhoneNumber

`val requirePhoneNumber: Boolean`

(common)

#### requireShippingAddress

`val requireShippingAddress: Boolean`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<InvoiceContent>>`

(common)

#### shouldSendEmailToProvider

`val shouldSendEmailToProvider: Boolean`

(common)

#### shouldSendPhoneNumberToProvider

`val shouldSendPhoneNumberToProvider: Boolean`

(common)

#### startParameter

`val startParameter: StartParameter`

(common)

#### title

`val title: String`

### Functions

(common)

#### method

`fun method(): String`

(common)

#### setPhoto

`fun setPhoto(photoUrl: String, photoSize: Long? = null, photoWidth: Int? = null, photoHeight: Int? = null): Unit`

(common)

#### unsetPhoto

`fun unsetPhoto(): Unit`